<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>RESIF: RESIFWS: Statistics Docs: v1</title>
  <style>
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    span.underline{text-decoration: underline;}
    div.column{display: inline-block; vertical-align: top; width: 50%;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
  </style>
<link rel="stylesheet" href="./static/resifws.css"/>
<a href="./local=en"> <img src="./static/images/en.png" alt="Français - Anglais"> </a>
</head>
<body>
<p style="text-align:center;"> <img src="./static/images/logoresif.png" alt="logoresif" width="341" height="95"></p>
<h1 id="webservice-statistics">Webservice statistics</h1>
<p>Ce service donne accès aux statistiques de RESIF-DC.</p>
<h2 id="utilisation-de-la-requête">Utilisation de la requête</h2>
<pre><code>/query? (request-options) [channel-options] [date-options] [storage-options] [send-options] [output-options] [nodata=404]

où :

request-options    ::  (request=&lt;country|map|send|storage|timeseries&gt;)
channel-options    ::  [net=&lt;network&gt; sta=&lt;station&gt; loc=&lt;location&gt; cha=&lt;channel&gt;]
date-options       ::  [starttime=&lt;date&gt;] [endtime=&lt;date&gt;]
storage-options    ::  [year=&lt;year&gt;] [type=&lt;buffer|validated&gt;]
send-options       ::  [ranklimit=&lt;number&gt;] [sum=&lt;boolean&gt;]
other-options      ::  [country=&lt;country_code&gt;] [media=&lt;dataselect|seedlink|station&gt;]
output-options     ::  [format=&lt;csv|json|text&gt;]

(..) requis
[..] optionnel</code></pre>
<h2 id="exemples-de-requêtes">Exemples de requêtes</h2>
<p><a href="http://ws.resif.fr/resifws/statistics/1/query?request=storage&net=FR&year=2020">http://ws.resif.fr/resifws/statistics/1/query?request=storage&amp;net=FR&amp;year=2020</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=storage&net=Z32015&year=2016">http://ws.resif.fr/resifws/statistics/1/query?request=storage&amp;net=Z32015&amp;year=2016</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=storage&net=FR&year=2018&type=validated">http://ws.resif.fr/resifws/statistics/1/query?request=storage&amp;net=FR&amp;year=2018&amp;type=validated</a></p>
<p><a href="http://ws.resif.fr/resifws/statistics/1/query?request=send&media=dataselect&net=FR">http://ws.resif.fr/resifws/statistics/1/query?request=send&amp;media=dataselect&amp;net=FR</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=send&media=dataselect&net=FR&country=IT">http://ws.resif.fr/resifws/statistics/1/query?request=send&amp;media=dataselect&amp;net=FR&amp;country=IT</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=send&net=FR,RA&starttime=2020-01-01&ranklimit=5">http://ws.resif.fr/resifws/statistics/1/query?request=send&amp;net=FR,RA&amp;starttime=2020-01-01&amp;ranklimit=5</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=send&net=FR,RA&starttime=2020-01-01&endtime=2020-12-31&sum=true">http://ws.resif.fr/resifws/statistics/1/query?request=send&amp;net=FR,RA&amp;starttime=2020-01-01&amp;endtime=2020-12-31&amp;sum=true</a></p>
<p><a href="http://ws.resif.fr/resifws/statistics/1/query?request=country&net=RA,ND">http://ws.resif.fr/resifws/statistics/1/query?request=country&amp;net=RA,ND</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=country&net=RA,ND&country=all">http://ws.resif.fr/resifws/statistics/1/query?request=country&amp;net=RA,ND&amp;country=all</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=country&net=RA,ND&country=IT,US,FR">http://ws.resif.fr/resifws/statistics/1/query?request=country&amp;net=RA,ND&amp;country=IT,US,FR</a></p>
<p><a href="http://ws.resif.fr/resifws/statistics/1/query?request=map&starttime=2020-01-01">http://ws.resif.fr/resifws/statistics/1/query?request=map&amp;starttime=2020-01-01</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=map&starttime=2020-01-01&net=CL">http://ws.resif.fr/resifws/statistics/1/query?request=map&amp;starttime=2020-01-01&amp;net=CL</a></p>
<p><a href="http://ws.resif.fr/resifws/statistics/1/query?request=timeseries&starttime=2020-01-01">http://ws.resif.fr/resifws/statistics/1/query?request=timeseries&amp;starttime=2020-01-01</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=timeseries&starttime=2020-01-01&country=all">http://ws.resif.fr/resifws/statistics/1/query?request=timeseries&amp;starttime=2020-01-01&amp;country=all</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=timeseries&starttime=2020-01-01&country=all&media=dataselect">http://ws.resif.fr/resifws/statistics/1/query?request=timeseries&amp;starttime=2020-01-01&amp;country=all&amp;media=dataselect</a></p>
<h3 id="exemple-de-sortie-avec-la-requête-timeseries">Exemple de sortie avec la requête timeseries</h3>
<p>time country bytes clients<br />
2020-01-06 AT 116539392 1<br />
2020-01-06 AU 12664213504 1<br />
…</p>
<p>La colonne ‘time’ représente le premier jour d’une période d’une semaine.</p>
<h2 id="descriptions-détaillées-de-chaque-paramètre-de-la-requête">Descriptions détaillées de chaque paramètre de la requête</h2>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 7%" />
<col style="width: 81%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Paramètre</th>
<th style="text-align: left;">Exemple</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">net[work]</td>
<td style="text-align: left;">FR</td>
<td style="text-align: left;">Nom du réseau sismique. Accepte les jokers et les listes.</td>
</tr>
<tr class="even">
<td style="text-align: left;">sta[tion]</td>
<td style="text-align: left;">CIEL</td>
<td style="text-align: left;">Nom de la station. Accepte les jokers et les listes.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">loc[ation]</td>
<td style="text-align: left;">00</td>
<td style="text-align: left;">Code de localisation. Utilisez loc=-- pour les codes de localisations vides. Accepte les jokers et les listes.</td>
</tr>
<tr class="even">
<td style="text-align: left;">cha[nnel]</td>
<td style="text-align: left;">HHZ</td>
<td style="text-align: left;">Code de canal. Accepte les jokers et les listes.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">start[time]</td>
<td style="text-align: left;">2010-01-10T00:00:00</td>
<td style="text-align: left;">Donne les réponses qui couvrent la période après la date donnée incluse.</td>
</tr>
<tr class="even">
<td style="text-align: left;">end[time]</td>
<td style="text-align: left;">2011-02-11T01:00:00</td>
<td style="text-align: left;">Donne les réponses qui couvrent la période avant la date donnée incluse.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">format</td>
<td style="text-align: left;">text</td>
<td style="text-align: left;">Format de sortie. Valeurs autorisées : text, json et csv.</td>
</tr>
<tr class="even">
<td style="text-align: left;">request</td>
<td style="text-align: left;">send</td>
<td style="text-align: left;">Type de la statistique demandée. Valeurs autorisées : <br> - <strong>country</strong> : nombre de requêtes passées par pays <br> - <strong>map</strong> : une carte avec le nombre de requêtes provenant de chaque pays <br> - <strong>send</strong> : volume de données distribuées par protocoles <br> - <strong>storage</strong> : quantité de données stockées brutes et validées <br> - <strong>timeseries</strong> : produit une série temporelle avec en colonne le pays, le nombre et la taille cumulés des requêtes</td>
</tr>
</tbody>
</table>
<h3 id="options-supplémentaires-spécifiques-à-la-requête-storage">Options supplémentaires spécifiques à la requête storage</h3>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 7%" />
<col style="width: 82%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Paramètre</th>
<th style="text-align: left;">Exemple</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">type</td>
<td style="text-align: left;">validated</td>
<td style="text-align: left;">Choix entre les données stockées validées ou non. Valeurs autorisées : <strong>buffer</strong> et <strong>validated</strong> (toutes par défaut)</td>
</tr>
<tr class="even">
<td style="text-align: left;">year</td>
<td style="text-align: left;">2019,2020</td>
<td style="text-align: left;">Liste des années pour lesquelles on demande la quantité de données.</td>
</tr>
</tbody>
</table>
<h3 id="options-supplémentaires-spécifiques-à-la-requête-send">Options supplémentaires spécifiques à la requête send</h3>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 7%" />
<col style="width: 82%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Paramètre</th>
<th style="text-align: left;">Exemple</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">ranklimit</td>
<td style="text-align: left;">5</td>
<td style="text-align: left;">Limite les réponses aux stations les plus volumineuses de chaque réseau.</td>
</tr>
<tr class="even">
<td style="text-align: left;">sum</td>
<td style="text-align: left;">true</td>
<td style="text-align: left;">Donne la somme des volumes de données sur les réseaux sélectionnés.</td>
</tr>
</tbody>
</table>
<h3 id="options-supplémentaires-spécifiques-aux-requêtes-country-send-et-timeseries">Options supplémentaires spécifiques aux requêtes country, send et timeseries</h3>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 7%" />
<col style="width: 82%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Paramètre</th>
<th style="text-align: left;">Exemple</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">country</td>
<td style="text-align: left;">FR,GB</td>
<td style="text-align: left;">Filtre les réponses avec une liste des pays d’origine. Utilisez l’abréviation en deux lettres du pays (ISO 3166-1 alpha-2). La valeur <strong>all</strong> donne la somme sur tous les pays.</td>
</tr>
<tr class="even">
<td style="text-align: left;">media</td>
<td style="text-align: left;">seedlink</td>
<td style="text-align: left;">Protocoles utilisés pour la requête. Valeurs autorisées : <strong>dataselect</strong>, <strong>seedlink</strong> et <strong>station</strong> (toutes par défaut)</td>
</tr>
</tbody>
</table>
<h2 id="formats-des-dates-et-des-heures">Formats des dates et des heures</h2>
<pre><code>YYYY-MM-DDThh:mm:ss[.ssssss] ex. 1997-01-31T12:04:32.123
YYYY-MM-DD ex. 1997-01-31 (une heure de 00:00:00 est supposée)

avec :

YYYY    :: quatre chiffres de l&#39;année
MM      :: deux chiffres du mois (01=Janvier, etc.)
DD      :: deux chiffres du jour du mois (01 à 31)
T       :: séparateur date-heure
hh      :: deux chiffres de l&#39;heure (00 à 23)
mm      :: deux chiffres des minutes (00 à 59)
ss      :: deux chiffres des secondes (00 à 59)
ssssss  :: un à six chiffres des microsecondes en base décimale (0 à 999999)</code></pre>
<h2 id="code-source">Code source</h2>
<p><a href="https://gricad-gitlab.univ-grenoble-alpes.fr/OSUG/RESIF/ws-statistics">https://gricad-gitlab.univ-grenoble-alpes.fr/OSUG/RESIF/ws-statistics</a></p>
<h2 id="reporter-un-problème">Reporter un problème</h2>
<p><a href="https://gricad-gitlab.univ-grenoble-alpes.fr/OSUG/RESIF/ws-statistics/-/issues/">https://gricad-gitlab.univ-grenoble-alpes.fr/OSUG/RESIF/ws-statistics/-/issues/</a></p>
</body>
</html>
